Summary:	Kiax is an IAX client application (a so called Softphone)
Name:		kiax
Version:	0.8.51
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://kiax.org/
Source0:	http://prdownloads.sourceforge.net/kiax/%{name}-%{version}-src.tar.bz2
Source1:	http://kiax.sourceforge.net/img/kiax_logo_small.png
Patch0:		kiax-0.8.4-system_iaxclient_libs.diff.bz2
Patch1:		kiax-0.8.51-iaxwrapper.cpp.patch
BuildRequires:	ImageMagick
BuildRequires:	iaxclient-devel
BuildRequires:	kdelibs-devel
BuildRequires:	xpm-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kiax is an IAX client application (a so called Softphone) which
allows PC users to make ordinary VoIP calls to Asterisk servers,
the same way as they do it with their hardware telephone. It aims
to provide a simple and user-friendly graphical interface and
desktop integration for calling, contact list, call register
management and easy configuration. That is - a simple to use IAX
Client.

%prep

%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

%build
export QTDIR=%{_prefix}/lib/qt3
export KDEDIR=%{_prefix}
export LD_LIBRARY_PATH="$QTDIR:/%{_lib}:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

sh configure --prefix=%{_prefix} --targetos=mandrake

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
#export DONT_STRIP=1

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_menudir}
install -d %{buildroot}%{_datadir}/%{name}/icons
install -d %{buildroot}%{_datadir}/%{name}/i18n

install -m0755 bin/%{name} %{buildroot}%{_bindir}/
install -m0644 icons/*.png %{buildroot}%{_datadir}/%{name}/icons/
install -m0644 i18n/*.qm %{buildroot}%{_datadir}/%{name}/i18n/

# fix some icons
convert %{SOURCE1} -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert %{SOURCE1} -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{SOURCE1} -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

# fix mandrake menu entry
cat >> %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 needs="X11" \
 section="Office/Communications/Phone" \
 title="Kiax" \
 longtitle="Kiax is an IAX client application (a so called Softphone)" \
 xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Kiax
Comment=Kiax is an IAX client application (a so called Softphone)
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-VideoConference;Network;Telephony;
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop

%changelog
* Sun Sep 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.51-3mdv2007.0
- rebuild

* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.51-2mdv2007.0
- fix xdg menu

* Sun Jun 11 2006 Stefan van der Eijk <stefan@eijk.nu> 0.8.51-1mdk
- 0.8.51
- rediff patch0
- drop patch1 (merged upstream)

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-3mdk
- Remove redundant buildRequires

* Mon Apr 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-2mdk
- make it work on x86_64 (P1 by emosto at users.sourceforge.net)

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4
- fix P0
- use correct menu group
- note 0.8.4 segfaults on 10.1 x86_64

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.3-1mdk
- initial package
